%global _empty_manifest_terminate_build 0
%global srcname suds

Name:		python-suds2
Version:	1.1.2
Release:	1
Summary:	A python SOAP client
License:	LGPL-3.0-only
URL:		https://github.com/suds-community/suds
Source0:	https://files.pythonhosted.org/packages/35/e5/d9571b3f8757573ba0fd1ad56c20ca24c1f339db8731914fee6f657b7170/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%package -n python3-suds2
Summary:	A python SOAP client
Provides:	python-suds2 = %{version}-%{release} python3-suds-community = %{version}-%{release}
Obsoletes:     python-suds < %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-pytest
BuildRequires:	python3-six
%description -n python3-suds2
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%package help
Summary:	Development documents and examples for suds
Provides:	python3-suds2-doc
%description help
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%prep
%autosetup -n suds-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-suds2 -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*
%license LICENSE.txt

%changelog
* Thu Dec 01 2022 wangjunqi <wangjunqi@kylinos.cn> - 1.1.2-1
- Update package to version 1.1.2

* Tue Aug 23 2022 renliang16 <renliang@uniontech.com> - 1.1.1-4
- Fixed bug where python3-suds-community is not provided

* Fri Aug 19 2022 renliang16 <renliang@uniontech.com> - 1.1.1-3
- Provides python3-suds-community

* Tue Aug 02 2022 liukuo <liukuo@kylinos.cn> - 1.1.1-2
- License compliance rectification

* Fri Jun 10 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.1.1-1
- Upgrade to version 1.1.1

* Wed Jan 12 2022 Chengshaowei <chenshaowei3@huawei.com> - 1.0.0-1
- update to v 1.0.0

* Fri Jan 08 2021 maminjie <maminjie1@huawei.com> - 0.7.0-5
- update source and port to pytest4

* Wed Jul  8 2020 zhanghua <zhanghua40@huawei.com> - 0.7-4
- change Name to python-suds2 and remove Subpackage python2-suds

* Wed Jun 24 2020 wutao <wutao61@huawei.com> - 0.7-3
- Fix transport test error

* Sun Mar 22 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.7-2
- Fix http test error.

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 0.7-1
- init package
